【已解决】ModuleComponentIdentifierImpl.getModuleIdentifier()Lorg/gradle/api/artifacts/ModuleIdentifier

问题:

Cause: org.jetbrains.plugins.gradle.tooling.util.ModuleComponentIdentifierImpl.getModuleIdentifier()Lorg/gradle/api/artifacts/ModuleIdentifier;

环境:

编译工具 Android Studio 3.1.4,

gradle 版本4.4

操作系统:Win10,64位。

解决:

这个问题网上很多人说是gradle 5.1.1引起了,然后给了各种解决办法。

我这里用了死蠢的解决办法:

1)从gradle 4.4版本 切到 gradle 5.1.1 版本

怎么升级gradle呢?具体操作可以参考这里:http://services.gradle.org/distributions/

感谢原创作者和转载者,图文并茂。

2)从Android Studio 3.1.4版本换到Android Studio 3.4.1  版本 ( 注意是3.1 升级到3.4)

怎么升级?直接下载Android Studio 3.4.1版本。

我是从官网下载的:https://developer.android.com/studio

下载之后,它会检测你之前安装的Android Studio,会提示是不是要移除旧的Android Studio,这步就要慎重操作了。

其他不多说了。

总之 就是更新版本。

 

 

 

 

 

展开阅读全文

没有更多推荐了,返回首页